Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.template.service
Class ViewTemplateProviderImpl

    java.lang.Object
      org.eclipse.emf.ecp.view.template.service.ViewTemplateProviderImpl

All Implemented Interfaces:
  VTViewTemplateProvider

    public class ViewTemplateProviderImpl

extends Object
implements VTViewTemplateProvider

Implementation of the VTViewTemplateProvider.

Author:
  Eugen Neufeld

Constructor Summary
`ViewTemplateProviderImpl()`

Method Summary
`Set<VTStyleProperty>` | `getStyleProperties(VElement vElement, ViewModelContext viewModelContext)` Return all `StyleProperties` which are applicable to the provided `VElement`.
`VTViewTemplate` | `getViewTemplate()` Returns the view template.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewTemplateProviderImpl

    public ViewTemplateProviderImpl()

Method Detail

### getViewTemplate

    public VTViewTemplate getViewTemplate()

  Returns the view template.

  Specified by:
    `getViewTemplate` in interface `VTViewTemplateProvider`
  Returns:
    the `VTViewTemplate`
  See Also:
    `VTViewTemplateProvider.getViewTemplate()`

### getStyleProperties

    public Set<VTStyleProperty> getStyleProperties(VElement vElement,
                                                   ViewModelContext viewModelContext)

  Return all `StyleProperties` which are applicable to the provided `VElement`.

  Specified by:
    `getStyleProperties` in interface `VTViewTemplateProvider`
  Parameters:
    `vElement` - the `VElement` to get the `StyleProperties` for
    `viewModelContext` - the `ViewModelContext` currently in use
  Returns:
    the collection of all `StyleProperties` which are applicable to the provided `VElement` or an empty set
  See Also:
    `VTViewTemplateProvider.getStyleProperties(org.eclipse.emf.ecp.view.spi.model.VElement, org.eclipse.emf.ecp.view.spi.context.ViewModelContext)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.